Bug 1466303 - [abrt] gxneur: strlen(): gxneur killed by SIGSEGV
[abrt] gxneur: strlen(): gxneur killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gxneur (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e64dec6747917763ff806ea6281...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-29 08:05 EDT by Alex Gluck
Modified: 2017-12-03 13:43 EST (History)
1 user (show)

See Also:
Fixed In Version: gxneur-0.20.0-1.fc27 gxneur-0.20.0-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-03 12:37:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.10 KB, text/plain)
2017-06-29 08:05 EDT, Alex Gluck
no flags Details
File: cgroup (336 bytes, text/plain)
2017-06-29 08:05 EDT, Alex Gluck
no flags Details
File: core_backtrace (3.12 KB, text/plain)
2017-06-29 08:05 EDT, Alex Gluck
no flags Details
File: dso_list (9.52 KB, text/plain)
2017-06-29 08:06 EDT, Alex Gluck
no flags Details
File: environ (1.85 KB, text/plain)
2017-06-29 08:06 EDT, Alex Gluck
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-29 08:06 EDT, Alex Gluck
no flags Details
File: maps (46.28 KB, text/plain)
2017-06-29 08:06 EDT, Alex Gluck
no flags Details
File: mountinfo (3.81 KB, text/plain)
2017-06-29 08:06 EDT, Alex Gluck
no flags Details
File: namespaces (102 bytes, text/plain)
2017-06-29 08:06 EDT, Alex Gluck
no flags Details
File: open_fds (850 bytes, text/plain)
2017-06-29 08:06 EDT, Alex Gluck
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-06-29 08:06 EDT, Alex Gluck
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2017-06-29 08:06 EDT, Alex Gluck
no flags Details
File: var_log_messages (16.44 KB, application/octet-stream)
2017-06-29 08:06 EDT, Alex Gluck
no flags Details

  None (edit)
Description Alex Gluck 2017-06-29 08:05:50 EDT
Version-Release number of selected component:
gxneur-0.19.0-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        gxneur
crash_function: strlen
executable:     /usr/bin/gxneur
global_pid:     26084
kernel:         4.11.6-201.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 __strdup at strdup.c:41
 #2 get_active_kbd_symbol at xkb.c:158
 #3 clock_check at trayicon.c:351
 #9 gtk_main at gtkmain.c:1268
Comment 1 Alex Gluck 2017-06-29 08:05:55 EDT
Created attachment 1292842 [details]
File: backtrace
Comment 2 Alex Gluck 2017-06-29 08:05:57 EDT
Created attachment 1292843 [details]
File: cgroup
Comment 3 Alex Gluck 2017-06-29 08:05:59 EDT
Created attachment 1292844 [details]
File: core_backtrace
Comment 4 Alex Gluck 2017-06-29 08:06:01 EDT
Created attachment 1292845 [details]
File: dso_list
Comment 5 Alex Gluck 2017-06-29 08:06:02 EDT
Created attachment 1292846 [details]
File: environ
Comment 6 Alex Gluck 2017-06-29 08:06:04 EDT
Created attachment 1292847 [details]
File: limits
Comment 7 Alex Gluck 2017-06-29 08:06:07 EDT
Created attachment 1292848 [details]
File: maps
Comment 8 Alex Gluck 2017-06-29 08:06:08 EDT
Created attachment 1292849 [details]
File: mountinfo
Comment 9 Alex Gluck 2017-06-29 08:06:10 EDT
Created attachment 1292850 [details]
File: namespaces
Comment 10 Alex Gluck 2017-06-29 08:06:11 EDT
Created attachment 1292851 [details]
File: open_fds
Comment 11 Alex Gluck 2017-06-29 08:06:13 EDT
Created attachment 1292852 [details]
File: proc_pid_status
Comment 12 Alex Gluck 2017-06-29 08:06:15 EDT
Created attachment 1292853 [details]
File: exploitable
Comment 13 Alex Gluck 2017-06-29 08:06:17 EDT
Created attachment 1292854 [details]
File: var_log_messages
Comment 14 Fedora Update System 2017-11-11 19:03:57 EST
gxneur-0.20.0-1.fc27 xneur-0.20.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-19e293e5fa
Comment 15 Fedora Update System 2017-11-12 15:22:15 EST
xneur-0.20.0-1.fc26 gxneur-0.20.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-110de71419
Comment 16 Fedora Update System 2017-11-13 23:08:59 EST
gxneur-0.20.0-1.fc26, xneur-0.20.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-110de71419
Comment 17 Fedora Update System 2017-11-14 05:57:00 EST
gxneur-0.20.0-1.fc27, xneur-0.20.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-19e293e5fa
Comment 18 Fedora End Of Life 2017-11-16 09:44:56 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 19 Fedora Update System 2017-12-03 12:37:51 EST
gxneur-0.20.0-1.fc27, xneur-0.20.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2017-12-03 13:43:58 EST
gxneur-0.20.0-1.fc26, xneur-0.20.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.